summaryrefslogtreecommitdiffstats
path: root/web/server/h2o/libh2o/deps/brotli/tests/compatibility_test.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 02:57:58 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-19 02:57:58 +0000
commitbe1c7e50e1e8809ea56f2c9d472eccd8ffd73a97 (patch)
tree9754ff1ca740f6346cf8483ec915d4054bc5da2d /web/server/h2o/libh2o/deps/brotli/tests/compatibility_test.sh
parentInitial commit. (diff)
downloadnetdata-upstream.tar.xz
netdata-upstream.zip
Adding upstream version 1.44.3.upstream/1.44.3upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'web/server/h2o/libh2o/deps/brotli/tests/compatibility_test.sh')
-rwxr-xr-xweb/server/h2o/libh2o/deps/brotli/tests/compatibility_test.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/web/server/h2o/libh2o/deps/brotli/tests/compatibility_test.sh b/web/server/h2o/libh2o/deps/brotli/tests/compatibility_test.sh
new file mode 100755
index 00000000..e907485e
--- /dev/null
+++ b/web/server/h2o/libh2o/deps/brotli/tests/compatibility_test.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+#
+# Test that the brotli command-line tool can decompress old brotli-compressed
+# files.
+
+set -o errexit
+
+BRO=../tools/bro
+
+for file in testdata/*.compressed*; do
+ echo "Testing decompression of file $file"
+ expected=${file%.compressed*}
+ uncompressed=${expected}.uncompressed
+ $BRO -f -d -i $file -o $uncompressed
+ diff -q $uncompressed $expected
+ # Test the streaming version
+ cat $file | $BRO -d > $uncompressed
+ diff -q $uncompressed $expected
+ rm -f $uncompressed
+done
+